

public class Zombies {
	
		public static void main(String[] args){
			int n;	// command line arguement for max number of zombies allowed in the room
			try { n = Integer.parseInt(args[0]);}	// parse to an integer if possible
			catch(ArrayIndexOutOfBoundsException e){ n = 10; System.out.println("made n="+n+" by default.");}
			catch(NumberFormatException nfe){n = 10; System.out.println("made n="+n+" by default.");}
			if (n < 2){
				n=10;	// use default value of n=10 if there's a problem with the input value
				System.out.println("n=10 because you entered something too small");
			}
			
			System.out.println("Program will run for about 200 seconds...");
			System.out.println("max number of zombies allowed in the room: "+n);
			
			// create shooter
			Shooter me = new Shooter(n);
			
			// create friends
			Friend alice = 	new Friend("A");
			Friend bob = 	new Friend("B");
			Friend carl = 	new Friend("C");
			Friend dianne =	new Friend("D");
			
			// make the above 4 people friends of the shooter
			me.addFriends(alice, bob, carl, dianne);
			
			// make a thread for the shooter
			Thread myThread = new Thread(me);
			
			// start a thread for the shooter which will create and start threads for the friends
			myThread.start();

		}
}